RDM::UID Struct Reference

The UID struct. More...

`#include <uid.h>`

## Public Member Functions

| UID (uint32_t dev=0, uint16_t man=0, bool flag=false)
| UID. More...
bool | isBroadcast () const
| isBroadcast More...

## Public Attributes

union {
uint64_t uid: 48
struct {
uint32_t device
union {
uint16_t manufacturer
struct {
uint16_t esta_man: 15
bool flag: 1
} |
} |
} |
}; |

## Friends

bool | operator== (const UID &a, const UID &b)
| operator == More...
bool | operator!= (const UID &a, const UID &b)
| operator != More...

## Detailed Description

The UID struct.

## Constructor & Destructor Documentation

## UID()

RDM::UID::UID | ( | uint32_t | dev = `0`,
|  | uint16_t | man = `0`,
|  | bool | flag = `false`
| ) |  |

inline

UID.

Parameters

  dev |
  man |
  flag |

## Member Function Documentation

## isBroadcast()

bool RDM::UID::isBroadcast | ( |  | ) | const

inline

isBroadcast

Returns

## Friends And Related Function Documentation

## operator!=

bool operator!= | ( | const UID & | a,
|  | const UID & | b
| ) |  |

friend

operator !=

Parameters

  a |
  b |

Returns

## operator==

bool operator== | ( | const UID & | a,
|  | const UID & | b
| ) |  |

friend

operator ==

Parameters

  a |
  b |

Returns

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdm/uid.h